var server = require('dora');
var emptyPort = require('./emptyPort');

module.exports =  function(config) {
  var port = config.port;
  var hmr = config.hmr;
  emptyPort({
    startPort: 8000,
    maxPort: 8999,
    exclude: [port]
  }, (status, pickedPort) => {
    if (status) {
      var plugins = [
        'webpack',
        `proxy?port=${port}`
      ];
      if (hmr) {
        plugins.push('hmr');
      }
      server({
        port: pickedPort,
        plugins: plugins,
      }, () => {
      });
    }
  });
};